# Evenements
Date: 2013-12-08

modele

## Class Evenements

- java.lang.Object
- - modele.Evenements

    public class Evenements
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Evenements()`

### Method Summary

Methods
`java.sql.ResultSet` `getEvenement(int pIdEvenement)`
`void` `setEvenement(java.lang.String pDate, int pType, java.lang.String pLieu)` permet l'ajout d'un evenement

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Evenements

    public Evenements()

### Method Detail

#### setEvenement

    public void setEvenement(java.lang.String pDate,
                    int pType,
                    java.lang.String pLieu)
                      throws java.lang.InstantiationException,
                             java.lang.IllegalAccessException,
                             java.lang.ClassNotFoundException,
                             java.sql.SQLException

permet l'ajout d'un evenement

Parameters:
  `pDate` -
  `pType` -
  `pLieu` -
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`

#### getEvenement

    public java.sql.ResultSet getEvenement(int pIdEvenement)
                                    throws java.lang.InstantiationException,
                                           java.lang.IllegalAccessException,
                                           java.lang.ClassNotFoundException,
                                           java.sql.SQLException

Parameters:
  `pIdEvenement` -
Returns:
  un resultSet contenant le ou les infos evenements
Throws:
  `java.lang.InstantiationException`
  `java.lang.IllegalAccessException`
  `java.lang.ClassNotFoundException`
  `java.sql.SQLException`